Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.jackson.databind.cfg
Class SerializerFactoryConfig

    java.lang.Object
      com.fasterxml.jackson.databind.cfg.SerializerFactoryConfig

All Implemented Interfaces:
  Serializable

    public final class SerializerFactoryConfig

extends Object
implements Serializable

Configuration settings container class for `SerializerFactory` implementations.

See Also:
  Serialized Form

Field Summary
`protected Serializers[]` | `_additionalKeySerializers` List of providers for additional key serializers, checked before considering default key serialializers.
`protected Serializers[]` | `_additionalSerializers` List of providers for additional serializers, checked before considering default basic or bean serialializers.
`protected BeanSerializerModifier[]` | `_modifiers` List of modifiers that can change the way `BeanSerializer` instances are configured and constructed.
`protected static BeanSerializerModifier[]` | `NO_MODIFIERS`
`protected static Serializers[]` | `NO_SERIALIZERS` Constant for empty `Serializers` array (which by definition is stateless and reusable)

Constructor Summary
`` | `SerializerFactoryConfig()`
`protected` | `SerializerFactoryConfig(Serializers[] allAdditionalSerializers, Serializers[] allAdditionalKeySerializers, BeanSerializerModifier[] modifiers)`

Method Summary
`boolean` | `hasKeySerializers()`
`boolean` | `hasSerializerModifiers()`
`boolean` | `hasSerializers()`
`Iterable<Serializers>` | `keySerializers()`
`Iterable<BeanSerializerModifier>` | `serializerModifiers()`
`Iterable<Serializers>` | `serializers()`
`SerializerFactoryConfig` | `withAdditionalKeySerializers(Serializers additional)`
`SerializerFactoryConfig` | `withAdditionalSerializers(Serializers additional)`
`SerializerFactoryConfig` | `withSerializerModifier(BeanSerializerModifier modifier)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_SERIALIZERS

    protected static final Serializers[] NO_SERIALIZERS

  Constant for empty `Serializers` array (which by definition is stateless and reusable)

### NO_MODIFIERS

    protected static final BeanSerializerModifier[] NO_MODIFIERS

### _additionalSerializers

    protected final Serializers[] _additionalSerializers

  List of providers for additional serializers, checked before considering default basic or bean serialializers.

### _additionalKeySerializers

    protected final Serializers[] _additionalKeySerializers

  List of providers for additional key serializers, checked before considering default key serialializers.

### _modifiers

    protected final BeanSerializerModifier[] _modifiers

  List of modifiers that can change the way `BeanSerializer` instances are configured and constructed.

Constructor Detail

### SerializerFactoryConfig

    public SerializerFactoryConfig()

### SerializerFactoryConfig

    protected SerializerFactoryConfig(Serializers[] allAdditionalSerializers,
                                      Serializers[] allAdditionalKeySerializers,
                                      BeanSerializerModifier[] modifiers)

Method Detail

### withAdditionalSerializers

    public SerializerFactoryConfig withAdditionalSerializers(Serializers additional)

### withAdditionalKeySerializers

    public SerializerFactoryConfig withAdditionalKeySerializers(Serializers additional)

### withSerializerModifier

    public SerializerFactoryConfig withSerializerModifier(BeanSerializerModifier modifier)

### hasSerializers

    public boolean hasSerializers()

### hasKeySerializers

    public boolean hasKeySerializers()

### hasSerializerModifiers

    public boolean hasSerializerModifiers()

### serializers

    public Iterable<Serializers> serializers()

### keySerializers

    public Iterable<Serializers> keySerializers()

### serializerModifiers

    public Iterable<BeanSerializerModifier> serializerModifiers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FasterXML. All Rights Reserved.